<template>
  <v-tooltip
    :text="text"
    :width="width"
    :origin="origin"
    :location="location"
    :max-width="maxWidth"
  >
    <template #activator="{ props }">
      <slot name="activator" :props="props">
        Hover me
      </slot>
    </template>
  </v-tooltip>
</template>

<script setup>
const props = defineProps({
  width: {
    type: Number,
    default: undefined,
  },
  maxWidth: {
    type: Number,
    default: 200,
  },
  location: {
    type: String,
    default: "top center",
  },
  origin: {
    type: String,
    default: "bottom center",
  },
  text: {
    type: String,
    default: "This is just a tooltip, but lorem ipsum am sir dolot",
  },
})
</script>